MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030545Open CASCADE[OCCT] OCCT:Documentationpublic2019-03-08 15:492019-03-19 10:33
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030545: Documentation - methods marked with Standard_DEPRECATED has ill-formed Doxygen output
DescriptionDoxygen doesn't properly handle Standard_DEPRECATED macros producing ill-formed output like this:
  Standard_DEPRECATED ("Local Context is deprecated - local selection should be used without Local 
Context") 1 Standard_Boolean HasDetectedShape() const
  Returns true if there is a detected shape in local context. More...

for method AIS_InteractiveContext::HasDetectedShape():
https://dev.opencascade.org/doc/refman/html/class_a_i_s___interactive_context.html#ab4794b721c1bd31911ea4576f483d42b [^]
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0027113closedabv Coding - add macros Standard_DEPRECATED for marking deprecated functionality 

-  Notes
(0082788)
git (administrator)
2019-03-08 15:58

Branch CR30545 has been created by kgv.

SHA-1: 17fd9d496b8ce9e578d28da3f404bafc231465ab


Detailed log of new commits:

Author: kgv
Date: Fri Mar 8 15:52:08 2019 +0300

    0030545: Documentation - methods marked with Standard_DEPRECATED has ill-formed Doxygen output
    
    Doxygen option PREDEFINED has been extended by Standard_DEPRECATED declaration.
(0082789)
kgv (developer)
2019-03-08 15:58

Patch is ready for review.
(0082842)
apn (administrator)
2019-03-11 14:22

Reviewed and checked (refman contains e.g. HasDetectedShape() instead of Standard_DEPRECATED()).
(0083089)
git (administrator)
2019-03-19 10:33

Branch CR30545 has been deleted by inv.

SHA-1: 17fd9d496b8ce9e578d28da3f404bafc231465ab

- Related Changesets
occt: master c3c2b331
Timestamp: 2019-03-08 12:52:08
Author: kgv
Committer: apn
Details ] Diff ]
0030545: Documentation - methods marked with Standard_DEPRECATED has ill-formed Doxygen output

Doxygen option PREDEFINED has been extended by Standard_DEPRECATED declaration.
mod - dox/resources/occt_rm.doxyfile Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-08 15:49 kgv New Issue
2019-03-08 15:49 kgv Assigned To => ysn
2019-03-08 15:50 kgv Relationship added child of 0027113
2019-03-08 15:50 kgv Assigned To ysn =>
2019-03-08 15:50 kgv Product Version 7.3.0 => 7.0.0
2019-03-08 15:58 git Note Added: 0082788
2019-03-08 15:58 kgv Note Added: 0082789
2019-03-08 15:58 kgv Assigned To => apn
2019-03-08 15:58 kgv Status new => resolved
2019-03-08 16:00 kgv Description Updated View Revisions
2019-03-11 14:22 apn Test case number => Not needed
2019-03-11 14:22 apn Note Added: 0082842
2019-03-11 14:22 apn Assigned To apn => bugmaster
2019-03-11 14:22 apn Status resolved => reviewed
2019-03-11 16:39 apn Status reviewed => tested
2019-03-17 15:40 apn Changeset attached => occt master c3c2b331
2019-03-17 15:40 apn Assigned To bugmaster => apn
2019-03-17 15:40 apn Status tested => verified
2019-03-17 15:40 apn Resolution open => fixed
2019-03-19 10:33 git Note Added: 0083089


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker